<?php

declare(strict_types=1);

namespace OliverKlee\Oelib\Interfaces;

/**
 * This interface represents an object that can be sorted.
 */
interface Sortable
{
    /**
     * Returns the sorting value for this object.
     *
     * This is the sorting as used in the back end.
     *
     * @return int the sorting value of this object, will be >= 0
     */
    public function getSorting(): int;

    /**
     * Sets the sorting value for this object.
     *
     * This is the sorting as used in the back end.
     *
     * @param int $sorting the sorting value of this object, must be >= 0
     */
    public function setSorting(int $sorting): void;
}
